> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketenv.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Actor Sandboxes



## OpenAPI

````yaml GET /io.pocketenv.actor.getActorSandboxes
openapi: 3.1.0
info:
  title: AT Protocol XRPC API
  summary: >-
    An unofficial conversion of AT Protocol's lexicons to OpenAPI's schema
    format.
  version: 0.0.0
  license:
    name: MIT License
    identifier: MIT
servers:
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol PDS XRPC server
  - url: https://api.pocketenv.io/xrpc/
    description: AT Protocol AppView XRPC server
security: []
tags:
  - name: io.pocketenv.actor
  - name: app.bsky.actor
  - name: io.pocketenv.file
  - name: io.pocketenv.port
  - name: io.pocketenv.publicKey
  - name: io.pocketenv.sandbox
  - name: io.pocketenv.secret
  - name: io.pocketenv.service
  - name: com.atproto.repo
  - name: io.pocketenv.variable
  - name: io.pocketenv.volume
paths:
  /io.pocketenv.actor.getActorSandboxes:
    get:
      tags:
        - io.pocketenv.actor
      summary: Get all sandboxes for a given actor
      operationId: io.pocketenv.actor.getActorSandboxes
      parameters:
        - name: did
          in: query
          description: The DID or handle of the actor
          required: true
          schema:
            type: string
            description: The DID or handle of the actor
            format: at-identifier
        - name: limit
          in: query
          description: The maximum number of sandboxes to return.
          required: false
          schema:
            type: integer
            minimum: 1
        - name: offset
          in: query
          description: >-
            The number of sandboxes to skip before starting to collect the
            result set.
          required: false
          schema:
            type: integer
            minimum: 0
        - name: isRunning
          in: query
          description: Filter sandboxes by their running status.
          required: false
          schema:
            type: boolean
            description: Filter sandboxes by their running status.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  sandboxes:
                    type: array
                    items:
                      $ref: >-
                        #/components/schemas/io.pocketenv.sandbox.defs.sandboxViewDetailed
                  total:
                    type: integer
                    minimum: 0
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    type: string
                    oneOf:
                      - const: InvalidRequest
                      - const: ExpiredToken
                      - const: InvalidToken
                  message:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                required:
                  - error
                  - message
                properties:
                  error:
                    const: AuthMissing
                  message:
                    type: string
      security:
        - Bearer: []
components:
  schemas:
    io.pocketenv.sandbox.defs.sandboxViewDetailed:
      type: object
      properties:
        name:
          type: string
          description: Name of the sandbox
          maxLength: 50
        provider:
          type: string
          description: >-
            The provider of the sandbox, e.g. 'daytona', 'vercel', 'cloudflare',
            etc.
          maxLength: 50
        description:
          type: string
          maxLength: 3000
        status:
          type: string
          description: The current status of the sandbox, e.g. 'RUNNING', 'STOPPED', etc.
        startedAt:
          type: string
          format: date-time
        timeout:
          type: integer
        baseSandbox:
          type: string
          description: >-
            The base sandbox that this sandbox was created from, if any. This
            can be used to determine the template or configuration used to
            create the sandbox.
        website:
          type: string
          description: Any URI related to the sandbox
          format: uri
        logo:
          type: string
          description: URI to an image logo for the sandbox
          format: uri
        topics:
          type: array
          items:
            type: string
            minLength: 1
            maxLength: 50
          maxItems: 50
        repo:
          type: string
          description: >-
            A git repository URL to clone into the sandbox, e.g. a
            GitHub/Tangled repo.
        readme:
          type: string
          description: A URI to a README for the sandbox.
          format: uri
        vcpus:
          type: integer
        memory:
          type: integer
        disk:
          type: integer
        ports:
          type: array
          items:
            type: integer
            minimum: 1025
            maximum: 65535
          maxItems: 100
        installs:
          type: integer
        createdAt:
          type: string
          format: date-time
        owner: ef318711-9091-4579-bd11-f0947183df87
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````